Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature.schema
Class ComplexPropertyType

    java.lang.Object
      org.deegree.model.feature.schema.AbstractPropertyType
          org.deegree.model.feature.schema.ComplexPropertyType

All Implemented Interfaces:
  PropertyType

Direct Known Subclasses:
  FeaturePropertyType, GeometryPropertyType, MultiGeometryPropertyType

    public abstract class ComplexPropertyType

extends AbstractPropertyType

Representation of property types that contain complex data types, i.e. complex element structures.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , Anup Deshmukh , last edited by: $Author: mschneider $

Field Summary
`protected QualifiedName` | `typeName`

Constructor Summary
`ComplexPropertyType(QualifiedName name, QualifiedName typeName, int type, int minOccurs, int maxOccurs)` Constructs a new instance of `ComplexPropertyType` from the given parameters.

Method Summary
`QualifiedName` | `getTypeName()`

Methods inherited from class org.deegree.model.feature.schema.AbstractPropertyType
`equals, getMaxOccurs, getMinOccurs, getName, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeName

    protected QualifiedName typeName

Constructor Detail

### ComplexPropertyType

    ComplexPropertyType(QualifiedName name,
                        QualifiedName typeName,
                        int type,
                        int minOccurs,
                        int maxOccurs)

  Constructs a new instance of `ComplexPropertyType` from the given parameters.

  Parameters:
    `name` -
    `typeName` -
    `type` -
    `minOccurs` -
    `maxOccurs` -

Method Detail

### getTypeName

    public final QualifiedName getTypeName()

  Returns:
    The name of data type which this property holds. Corresponds to the element name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org